<%@ page language="C#" autoeventwireup="true" inherits="PageEdit_HtmlCode, App_Web_ni9iudea" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title></title>
    <link rel="stylesheet" href="../style/Common.css" />
    <link rel="stylesheet" href="../style/Frame.css" />
    <style type="text/css">
#tbFileContent{
    border: 0;
    margin: 1px 0;
    display: block;
}
    </style>

    <script type="text/javascript" src="../Script/Common.js"></script>
    <script type="text/javascript">
var tbContent, hfHtmlText;
function Page_Load()
    {  
	tbContent = $("tbFileContent");
	hfHtmlText = $("hfHtmlText");
	var htmlValue = hfHtmlText.value;
	if( htmlValue )
	    tbContent.value = unescape( htmlValue );
	Page_Resize();
    }

function Page_Resize()
    {
	var w, h;
	w = document.documentElement.clientWidth-2;
	if( w<0 ) w=0;
	h = document.documentElement.clientHeight-32;
	if( h<0 ) h=0;
	tbContent.style.width = w;
	tbContent.style.height = h;
    }
   
function btnSave_Click()
    {
        hfHtmlText.value = escape( tbContent.value);
        tbContent.value = ""
    }
    </script>
</head>

<body scroll="no"><form id="form1" runat="server">

    <div class="TitleBar" style="height:26px;">
        <asp:Button ID="btnSave" CssClass="Button" runat="server" Text="保存"  UseSubmitBehavior="false"
                    OnClick="btnSave_Click" OnClientClick="btnSave_Click();" Enabled="false"/>
        <asp:Label ID="lbInfo" runat="server" ForeColor="Red"/>
    </div>
    
    <asp:TextBox ID="tbFileContent" CssClass="EditArea" runat="server" TextMode="MultiLine"></asp:TextBox>
     
    <asp:HiddenField ID="hfHtmlText"  runat="server" />
    <asp:HiddenField ID="hfHtmlTextPath"  runat="server" />

</form>
<script type="text/javascript" language="javascript">
try{ Page_Init(); }catch(ex){;}
try{ Page_Resize(); window.onresize=Page_Resize; }catch(ex){;}
try{ Page_Load(); }catch(ex){;}
</script>
</body>
</html>
